{"swagger":"2.0","info":{"description":"These are 3DS Issuer Services.\n","version":"1.0.0","title":"3DS Issuer Services"},"schemes":["https","http"],"basePath":"/3ds-issuer-services","paths":{"/authentications":{"post":{"summary":"Call a new authentication attempt to ACS","operationId":"JSON Risk","consumes":["application/json"],"produces":["application/json"],"parameters":[{"in":"body","name":"body","description":"Authentication object that contains all needed data for creating a new authentication attempt and making risk analysis","required":true,"schema":{"type":"object","required":["authenticationId","pan","merchantName","amount","currency","issuerId"],"properties":{"issuerId":{"type":"string","description":"Unique identifier of issuer"},"pan":{"type":"string","description":"Credit card number","minLength":13,"maxLength":19},"authenticationId":{"type":"string","description":"An id identifying an authentication request","minLength":36,"maxLength":36,"example":"17b9946c-3a81-11e9-b210-d663bd873d93"},"merchantName":{"type":"string","description":"Full merchant name","example":"store"},"amount":{"type":"integer","minLength":1,"maxLength":48,"description":"Amount of the transaction eg. 1 dollar is -> 100","example":"100"},"currency":{"type":"string","description":"ISO of currency code","example":"USD"}}}}],"responses":{"201":{"description":"The authentication request was successfully received","schema":{"type":"object","required":["authenticationStatus"],"properties":{"authenticationStatus":{"type":"string","enum":["Y","N","R","U"],"description":"Indicates whether a transaction qualifies as an authenticated transaction or account verification.","example":"Y(Authentication/ Account Verification Successful) N(Not Authenticated /Account Not Verified; Transaction denied) R(Account Verification Rejected; Issuer is rejecting authentication/verification and request that authorisation not be attempted) U(Authentication/ Account Verification Could Not Be Performed; Technical or other problem, as indicated in ARes or RReq) "},"authenticationStatusReasonDescription":{"type":"string","description":"Provides a detailed information on why the authenticationStatus field has the specified value. This property will be present only when 'authenticationStatus' is set to 'N' or 'R'.","example":"The given PAN was not found"},"name":{"type":"string","description":"Name of the cardHolder"},"surname":{"type":"string","description":"Surname of the cardHolder"}}}},"400":{"description":"The client request cannot be completed successfully (e.g. a mandatory parameter is missing).\nThe client should submit a new valid request. See the response body for a more detailed error description. \n"},"500":{"description":"Generic internal server error (due to our's or downstream services).\nSee the response body for a more detailed error description.\nACS shall map back this error as a `U` response to the upstream payment gateway. \n"},"504":{"description":"The server did not receive a timely response from an upstream server it accessed to deal with your HTTP request.\nThe client can submit again a new request. \n"}}}},"/authentications/{authenticationId}/otp":{"post":{"summary":"Creates a new OTP authentication flow","operationId":"Start OTP","consumes":["application/json"],"produces":["application/json"],"parameters":[{"in":"path","name":"authenticationId","required":true,"type":"string","description":"An id identifying an authentication request, generated by the 3DS Issuer Service"},{"in":"body","name":"body","required":true,"schema":{"type":"object","properties":{"merchantName":{"type":"string","description":"Full merchant name","example":"store"},"amount":{"type":"integer","minLength":1,"maxLength":48,"description":"Amount of the transaction eg. 1 dollar is -> 100","example":"100"},"currency":{"type":"string","description":"ISO of currency code","example":"USD"}}}}],"responses":{"201":{"description":"The OTP code was successfully sent to the cardholder","schema":{"type":"object"}},"400":{"description":"The client request cannot be completed successfully\n(e.g. no more attempts available to the cardholder, cardholder account locked, a mandatory parameter is missing, ...).\nThe client should submit a new valid request. See the response body for a more detailed error description.\nThis attempt will consume the available attempts counter. \n"},"404":{"description":"The client used an authentication id that the server cannot found\nSee the response body for a more detailed error description. \n"},"500":{"description":"Generic internal server error (due to our's or downstream services).\nSee the response body for a more detailed error description.\nThis attempt does not consume the available attempts counter.\nThe client can submit again a new request. \n"},"504":{"description":"The server did not receive a timely response from an upstream server it accessed to deal with your HTTP request.\nThis attempt does not consume the available attempts counter.\nThe client can submit again a new request. \n"}}}},"/authentications/{authenticationId}/otp/check":{"post":{"summary":"Attempts to validate an OTP code","operationId":"Check OTP","consumes":["application/json"],"produces":["application/json"],"parameters":[{"in":"path","name":"authenticationId","required":true,"type":"string","description":"An id identifying an authentication request, generated by the 3DS Issuer Service"},{"in":"body","name":"body","required":true,"schema":{"type":"object","required":["otpCode"],"properties":{"attemptCount":{"type":"integer","minimum":1},"otpCode":{"type":"string","example":"123456"}}}}],"responses":{"201":{"description":"The code submitted by the client matches the expected OTP value"},"400":{"description":"The client request cannot be completed successfully \n(e.g. wrong OTP ).\nThe client should submit a new valid request. See the response body for a more detailed error description.\nThis attempt will consume the available attempts counter. \n"},"401":{"description":"The client request cannot be completed successfully\n(e.g. no more attempts available to the cardholder, cardholder account locked). \n"},"404":{"description":"The given pair authenticationId and acsTransactionID cannot be found in the server.\nThis attempt should not consume the available attempts counter. \n"},"500":{"description":"Generic internal server error (due to our's or downstream services).\nSee the response body for a more detailed error description.\nThis attempt does not consume the available attempts counter.\nThe client can submit again a new request. \n"},"504":{"description":"The server did not receive a timely response from an upstream server it accessed to deal with your HTTP request.\nThis attempt does not consume the available attempts counter.\nThe client can submit again a new request."}}}}}}